// $Id: peoplebrowsr.js,v 1.1.2.1 2009/11/19 00:00:00 elliottf Exp $

/**
 * JavaScript to load the PeopleBrowsr by AHAH.
 *
 * @file: peoplebrowsr.js
 * @author: Elliott Foster
 * @copyright: NewMBC 2009
 */

Drupal.behaviors.peoplebrowsr = function(context) {
  $('.peoplebrowsr-block-wrapper:not(peoplebrowsr-block-wrapper-processed)', context).addClass('peoplebrowsr-block-wrapper-processed').each(function() {
    peoplebrowsrGet(this.id);
  });
}

/**
 * peoplebrowsrGet - return the HTML
 *  for the peoplebrowsr block
 */
function peoplebrowsrGet(htmlId) {
  var bid_ary = new Array();
  bid_ary = htmlId.split('_');
  var bid = bid_ary[1];
  var block = '';

  var path = Drupal.settings.basePath + 'peoplebrowsr/js/load/' + bid;
  $.getJSON(
    path,
    function(json) {
      $('#' + htmlId).html(json.data);
    }
  );
}

